Q4 personal goal: start building a volunteer, cross-wiki taskforce to help with the community side of VE work
Closed, ResolvedPublic0 Story Points

Description

See https://www.mediawiki.org/wiki/Help:VisualEditor/VE_as_the_main_editor .
At the end of the day, when the visual editor is fully developed,
it is still not useful as it should be until the "community side" of the work, detailed at the page above, has started on each wiki.

Can we build a "hub" of tech-savvy and keen community members who could help their wikimedian fellows all over the world to get the same rewarding visual editor experience they have?
What we know:
*smaller communities have capacity problems;
*volunteers never spare themselves when they figure out what a problem is and what the steps are to fix it. "If you build it, they will come": if we give them good starting points, they'll build awesomeness on those.

At some point, I will no longer be involved in VisualEditor work. Before then, I must make sure communities have the "tools" they need. I feel that this task is strongly tied to https://meta.wikimedia.org/wiki/Technical_Collaboration/Strategy#How_we_succeed .

Plan:
Phase 0: improving the current checklist page, and making room for "expert" names.
First phase is "just" about getting people to list themselves. It involves finding them with on-wiki and mailing lists communications. I'd like everyone to add themselves to every category that applies. It will start by the end of June.

Page created at https://www.mediawiki.org/wiki/Help:VisualEditor/Community_Taskforce .

Jul-Sep goal:
The second phase is about checking with these people what worked for them. Did they use existing documentation, or are there gaps in it we need to take care of? Did they create additional documentation to help themselves and others? (If so, we'll want to list those resources.) Did they perhaps seek help from someone else as well? The existing checklist will be scrutinized at this point.
The third phase may be about actually covering gaps (especially documentation ones. I don't think we have learning patterns docs about VE, for example, and that's something we may consider creating).

Oct-Dec goal:
The fourth phase should be about presenting new and/or revisited resources to communities which should benefit the most from all of this work (the ones without much capacity, which are those I hope to serve with this task).
The fifth phase will be about checking whether people find those resources easier to use now. It may still be that they don't manage to get much work done, but at least we need to make sure that there's an established path for them, that may be reused/adapted for other products as well.

Elitre created this task.Mar 21 2016, 2:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2016, 2:50 PM
Elitre triaged this task as Normal priority.Mar 25 2016, 11:10 AM
Elitre added a comment.EditedMay 23 2016, 5:46 PM

For the time being, I think that the "hub" should contain names of people who have already worked on VE-related stuff and are available to share their experiences with everyone else.
I believe that asking people to "sign up" on a page is a good item for the next newsletter.

Categories (there may be some overlapping, of course):
*Community "point of contact" (to be defined better: for people who organized group efforts around VE, like es.wiki or de.wiki did, and are glad to show what they did and how);
*Phabricator expert (for people who usually file VE tasks on behalf of their community);
*interface/documentation translator;
*TemplateData coder;
*Citations experts (for people who customized Citoid, the Cite system, or who write Zotero translators);
*Feedback handler (there aren't many of those, but still);
*Very active VEditor? (these contributors have lots of advice/workarounds, and as I still get questions like "Do people use VE for featured/good articles?", I'd like to introduce some of them);
*Educators? (this is a particular category, as we get a lot of feedback about how VE worked for many of those, but we have never been able to collect their stories so far);
*?

Qgil added a subscriber: Qgil.EditedMay 24 2016, 11:56 AM

This list can be simplified, in order to remark better the different roles needed. Suggestion:

  • Tech ambassadors = community point of contact + Phabricator expert + feedback handler.
  • Translators
  • TemplateData experts
  • Citoid experts
  • Educators (includes very active editors)

Yes, thanks, something along those lines will work. This is all raw thinking yet.

I'm thinking this word should be divided into subphases. I don't want to overwhelm people with too much action, and there's no urgency to get this done (although I do want to get all of this started and working by the end of the year).

The first phase is "just" about getting people to list themselves. It involves finding them with on-wiki and mailing lists communications. I'd like everyone to add themselves to every category that applies.
The second phase is about checking with these people what worked for them. Did they use existing documentation, or are there gaps in it we need to take care of? Did they create additional documentation to help themselves and others? (If so, we'll want to list those resources.) Did they perhaps seek help from someone else as well? The existing checklist will be scrutinized at this point.
The third phase may be about actually covering gaps (especially documentation ones. I don't think we have learning patterns docs about VE, for example, and that's something we may consider creating).
The fourth phase should be about presenting new and/or revisited resources to communities which should benefit the most from all of this work (the ones without much capacity, which are those I hope to serve with this task).
The fifth phase will be about checking whether people find those resources easier to use now. It may still be that they don't manage to get much work done, but at least we need to make sure that there's an established path for them, that may be reused/adapted for other products as well.

Elitre updated the task description. (Show Details)May 25 2016, 9:22 AM
Elitre updated the task description. (Show Details)
Elitre updated the task description. (Show Details)May 26 2016, 3:16 PM
Elitre added a comment.Jun 7 2016, 9:44 AM

There is a phase 0, which is about changing the format of the current checklist page.
For the time being, I just want to add a sort of TL;DR index at the top, and ideally it should be possible from each point to reach the related longer description below. But I need to find out how to do that without invalidating translations first!

Qgil added a comment.Jun 7 2016, 11:55 AM

After a quick look, the translation tags seem to be well placed, wrapping content and leaving the formatting outside.

I agree that the current format is not very engaging. It is quite a wall of text difficult to digest. Have you considered simply separating actions into sections with a clear and concise header?

This is what the suggested "index/TOC" is supposed to achieve.

Does this draft look any better? (new formatting is at the top, the points I haven't changed are at the bottom); I'd love to get rid of the Note and Tip thingies, but need to invalidate translations for that. OTOH, there aren't that many translations yet, but I still feel bad about doing it.

Qgil added a comment.Jun 9 2016, 8:11 AM

Looks better to me...

Elitre updated the task description. (Show Details)Jun 10 2016, 4:23 PM

I'm wondering if babel boxes to identify helpers on mediawiki.org would also make sense.

Qgil added a comment.Jun 15 2016, 9:04 AM

I am never sure about how effective those boxes are nowadays. Then again some people do like them. If creating a new box is simple, why not trying. It is an interesting idea.

I need to mention adding gadgets in the guide ASAP.

I think I should disable translations, or at least warn there will be huge changes in the upcoming months.
Another thing to consider may be, should the check-list be actually divided by difficulty, and/or by the categories we suggested above?
Anything I can do to make it useful considering the very different audiences (big wikis where most of the work has been done, small wikis where it's still a Beta Feature instead, and everything in the middle)?

I need to mention adding gadgets in the guide ASAP.

What about customized scripts shared on personal js pages?

https://www.mediawiki.org/wiki/Help:VisualEditor/Community_Taskforce has now been created and linked from a few relevant places. Please suggest more!

Elitre updated the task description. (Show Details)Jun 29 2016, 3:36 PM
Elitre updated the task description. (Show Details)
Elitre closed this task as Resolved.Jun 29 2016, 5:46 PM

Here are the top things I made for this task this quarter:

  1. coming up with a plan
  2. drafting a new structure for the checklist. After evaluating this, I think I'm actually going to disrupt the translations, because I want to simplify everything further. The new page, which may be ready tomorrow, probably won't be marked for translation for a while, or will contain a note about how it may change again significantly in the future.
  3. drafting the taskforce page structure/ request feedback about it
  4. creating the page for the taskforce itself
  5. linking the taskforce page from a few relevant places, and asking a small group of contributors to sign up and to provide early feedback.

Next phase will be tracked here.

Qgil awarded a token.Jun 29 2016, 9:46 PM
Jdforrester-WMF set the point value for this task to 0.

The taskforce page has now been linked from newsletter-related announcements, from the newsletter itself, and from Meta's home page.

Elitre added a subscriber: ssastry.Nov 3 2016, 5:34 PM

@ssastry do you think something like https://www.mediawiki.org/wiki/Help:VisualEditor/Community_Taskforce may be useful for Replacing Tidy as well?

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 3 2018, 2:00 PM